Retrieve Creative Preview Image for each AdUnit
This endpoint provides image-only previews for a specific ad unit, supporting both banner and video creatives. Video creatives previews are images.
Note:
- Previews may not be available for creatives produced by Walmart or cloned from a creative originally produced by Walmart.
- Preview images are available for download only after the status returns as COMPLETED via the
POST /api/v1/creatives/preview/statusendpoint
Path Parameters
| Parameter | Description | Type | Required | Possible Values |
|---|---|---|---|---|
| creativeId | The ID of the creative | string | Y | A valid creative ID |
| adUnitName | name of ad unit | string | Y |
|
Request Parameters
| Parameter | Description | Type | Required | Possible Values |
|---|---|---|---|---|
| advertiserId | The ID of the specific advertiser | integer | Y | A valid advertiser ID |
| type | state of preview for a creative | string | Y |
|
| badgeType | If badgeType is specified, the preview will render the corresponding badge, provided that the account has rollback badge enabled and the ad unit supports badge rendering. If badgeType is not included, the preview will omit the badge entirely. | enum | N | Values:
|
| resolution | This option enables the selection of single or double resolution for the preview file | string | N | Values: 1X, 2X Note: Default vale is 1X |
Headers
| Header Name | Description | Required | Values |
|---|---|---|---|
| Authorization | The token will provide you the access to the API. It is same for all advertisers you access through the API. | Y | Please utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide |
| Content-Type | Format of the message body | Y | application/json |
| WM_CONSUMER.ID | Unique ID for consumer. We will provide you the consumer ID to access the API. It is same for all advertisers you access through the API. | Y | Please use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information |
| WM_SEC.AUTH_SIGNATURE | Signature for authentication | Y | Use the signature generator code from Getting Started Guide to generate this value |
| WM_SEC.KEY_VERSION | Key version. We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API. | Y | 1 |
| WM_CONSUMER.intimestamp | Timestamp for which the auth signature is generated. Use Unix epoch format for the timestamp. | Y | Use the signature generator code from Getting Started Guide to generate this value |
Sample Request
curl -X POST 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/creatives/aaaa3333-aa33-aa33-aa33-aaaaaa333333/preview/marqueeDesktop' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <auth_token>'
--header 'WM_SEC.AUTH_SIGNATURE: **************' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '{ "advertiserId": 00000000, "type": "refreshed", "badgeType":"ROLLBACK", "resolution":"1X" }' \
--output filename.jpg
Success Response:
jpeg image file of screenshot for ad unit will be returned
Note:
‘2X’ returns the jpeg@2x file
‘1X’ returns the current jpeg file
Error Response
| Field | Description | Optional field/Nullable? | Type | Possible values |
|---|---|---|---|---|
| code | code returns failure in error scenarios | N | string | failure |
| details | List of error codes associated with the request. Use these codes for programmatic error handling. | N | array | Refer to this link for detailed error messages |
| message | High-level summary of the error, when available. | Y | string | |
| errors | Detailed information about one or more errors, including the affected field (when applicable), error code, and a human-readable description. | Y | array<object> |
errors Array Object Details
| Field | Description | Optional field/Nullable? | Type | Possible values |
|---|---|---|---|---|
| field | JSON field associated with the error. Omitted if the error applies to the request as a whole. | Y | string | |
| errorType | Machine-readable error code that uniquely identifies the error condition. Applications should use this value for error handling logic. | N | string | |
| description | Human-readable explanation of the error, including why the request failed and, when possible, how to resolve it | N | string |
Sample Response - Failure (When Wrong creativeId is Provided)
[ { "code": "failure", "message": "The requested resource is not found.", "errors": [ { "errorType": "E_RESOURCE_NOT_FOUND", "description": "Creative version not found for creative 4e16rtyu-y889-5tug-a28d-58e96f65f06b with label REFRESHED. Check the resource identifier and try again." } ], "details": [ "E_RESOURCE_NOT_FOUND" ] }
]Updated about 16 hours ago
Did this page help you?
